Subject: Re: [mobile-ip] MobileIPv6 mandatory IPSec

From: Mohan Parthasarathy <[email-masked]>
Date: Thu, 8 Mar 2001 17:27:19 -0800 (PST)

> 
> I was unaware that Mobile IPv6 had close on IPSec being
> mandatory. This is a huge (40% overhead) for wireless
> traffic, not to mention the retries for dropped packets,
> etc.  What is the justification for making IPSec mandatory?
> 
IPsec is mandatory only for Binding Updates/Requests and Acks.
Not for the actual traffic. 

-mohan

> Thanks,
> 
> Ed Davis   ([email-masked])
> Director of Technology
> Office: 503-456-0048
> Cell:   503-807-4678
> Pager: 1-800-eye-t0-eye
> Admin: Kitty LeGault  503-456-0074
> 
> 
> 
> -----Original Message-----
> From: Alain RITOUX [mailto:[email-masked]]
> Sent: Thursday, March 08, 2001 1:58 AM
> To: [email-masked]
> Subject: [mobile-ip] MobileIPv6 and IKE
> 
> 
> Hi everybody.
> 
> I'm interested in the combinasion of mobileipv6 and its mandatory IPsec,
> and I was wondering about the IKE usage.
> Between ther MN and its HA, the BU need to be authenticated, hence an SA
> must exist, but the HA can't speak with the MN, until the Co@ is known,
> hence the BU accepted. So how can IKE work ?
> - Is there a solution for this chicken-an-egg pb ?
> - If yes, is it standard ?
> Moreover, while reading a few drafts/RFC (mobility support in IPv6,
> destination option header clarification, IIPv6 ...) I'm getting a little
> bit cionfused about the IPv6 header extension order, or about where
> MUST/SHOULD/LMAY? be Dest options wrt various Destination Option
> Headers. Is there something  stable ? mandatory ?
> btw I'm interested in any good material/references about those subjects.
> 
> If you feel, this subject should rather  be discussed on other lists
> (IPsec ? IPng ? ....), just let me know.
> 
> Best regards.
> Alain.
> 
>